---
Name: mysite
After:
    - '#silverrealty'
---
SilverStripe\Core\Manifest\ModuleManifest:
    project: app


SilverStripe\View\SSViewer:
    themes:
        - '$public'
        - 'resido'
        - '$default'


SilverStripe\Control\Email\Email:
    admin_email: "ccovey@sunrisebrokerage.ca"


SilverStripe\SpamProtection\Extension\FormSpamProtectionExtension:
    default_spam_protector: 'UndefinedOffset\NoCaptcha\Forms\NocaptchaProtector'


UndefinedOffset\NoCaptcha\Forms\NocaptchaField:
    site_key: "6LfPQQcTAAAAAFaVOE6vtHHiTCqU62SX0-1FjZDQ"
    secret_key: "6LfPQQcTAAAAAKhFyPLicW28WzUp7MMQmOJEQpjw"


SendToAFriend:
    AdminEmail: "no-reply@sunrisebrokerage.ca"


WebbuildersGroup\SilverRealty\Classes\SilverRealty:
    agent_domain: "sunrisebrokerage.ca"
    intrest_rate: 2.5
    default_contact: "ccovey@sunrisebrokerage.ca"
    site_domain: "sunrisebrokerage.ca"
    expire_time_limit: 0
    sold_date_time_limit: 0
    google_maps_api_key: "AIzaSyC4NfRyP_I8gT9gS-3IEy6oBYkLsrU4fME"
    first_to_know_remove_handler_template: "first-to-know-unsubscribe/?k={USER_KEY}"
    data_feeds:
        -
            server: "https://nsar-rets.paragonrels.com/rets/fnisrets.aspx/NSAR/login"
            username: "NTPV16633"
            password: "GROUP12"
            includeOpenHouses: false
            off_market_status_ids: [2, 4, 5, 6]


WebbuildersGroup\SilverRealty\Model\Listing:
    indexes:
        "ListPrice": true
    extensions:
        - 'SunriseBrokerage\Extensions\ListingExtension'


WebbuildersGroup\SilverRealty\Pages\LinkedListing:
    extensions:
        - 'SunriseBrokerage\Extensions\LinkedListingExtension'


WebbuildersGroup\SilverRealty\Model\ListingController:
    extensions:
        - 'SunriseBrokerage\Extensions\ListingControllerExtension'


SilverStripe\SiteConfig\SiteConfig:
    extensions:
        - 'SunriseBrokerage\Extensions\SiteConfigExtension'


SilverStripe\Assets\Image:
    extensions:
        - 'SunriseBrokerage\Extensions\ResizeAndCropImage'


SilverStripe\ORM\FieldType\DBString:
    extensions:
        - 'SunriseBrokerage\Extensions\DBStringExtension'


WebbuildersGroup\SilverRealty\Pages\SilverRealtyHomePage:
    hide_ancestor: 'WebbuildersGroup\SilverRealty\Pages\SilverRealtyHomePage'
    extensions:
        - 'SunriseBrokerage\Extensions\SilverRealtyHomePageExtension'


WebbuildersGroup\SilverRealty\Pages\AgentPage:
    allowed_children:
        - 'SilverStripe\CMS\Model\RedirectorPage'


WebbuildersGroup\SilverRealty\Pages\AgentPageController:
    extensions:
        - 'SunriseBrokerage\Extensions\AgentPageControllerExtension'


SilverStripe\Core\Injector\Injector:
    SilverStripe\View\Requirements_Backend:
        class: 'SunriseBrokerage\View\RequirementsBackend'
    SilverStripe\Security\PasswordValidator:
        properties:
            MinTestScore: 4
    SilverStripe\Assets\Image_Backend:
        properties:
            Quality: 90


SilverStripe\Security\PasswordValidator:
    min_test_score: 4


SilverStripe\Admin\LeftAndMain:
    extensions:
        - 'SunriseBrokerage\Extensions\LeftAndMainExtension'
    extra_requirements_css:
        - "app/css/LeftAndMain.css"
    help_links:
        "Developer docs": ""
        "Community": ""
        "Feedback": ""


BetterNavigator:
    developers:
        - "support@webbuildersgroup.com"


Axllent\AnalyticsJS\AnalyticsJS:
    tracker:
        - ['config', 'UA-3326607-47']
    ignore_link_class:  "notrack"


SilverStripe\CMS\Model\SiteTree:
    extensions:
        - 'SunriseBrokerage\Extensions\SiteTreeExtension'


WebbuildersGroup\SilverRealty\Forms\PhoneNumberField:
    placeholder: "(844) 376-4663 x1234"


TractorCow\OpenGraph\OpenGraph:
    application_id: 'SiteConfig'
    admin_id: 'SiteConfig'
    default_locale: 'en_US'
    default_tagbuilder: 'TractorCow\OpenGraph\ObjectBuilders\OpenGraphBuilder'


TractorCow\OpenGraph\ObjectBuilders\OpenGraphBuilder:
    extensions:
        - 'SunriseBrokerage\Extensions\OpenGraphBuilderExtension'


DNADesign\Elemental\Models\BaseElement:
    inline_editable: false
    enable_title_in_template: true
    used_anchors:
        - "Content"
    extensions:
        - 'SunriseBrokerage\Extensions\BaseElementExtension'
        - 'DNADesign\ElementalSubsites\Extensions\ElementalSubsiteExtension'


BetterBrief\GoogleMapField:
    default_options:
        api_key: "AIzaSyC4NfRyP_I8gT9gS-3IEy6oBYkLsrU4fME"
        map:
            zoom: 14
        default_field_values:
            Latitude: 45.676032
            Longitude: -62.710681


SilverStripe\UserForms\Model\UserDefinedForm:
    block_default_userforms_js: true
    upgrade_on_build: false


DNADesign\ElementalUserForms\Model\ElementForm:
    block_default_userforms_js: true
    upgrade_on_build: false
    extensions:
        - 'SunriseBrokerage\Extensions\FormElementExtension'


WebbuildersGroup\SilverRealty\Model\ListingImage:
    no_photo_theme_fallback_path: 'images/pattern.png'
    medium_width: 416
    medium_height: 240


SilverStripe\ORM\PaginatedList:
    extensions:
        - 'SunriseBrokerage\Extensions\PaginatedListExtension'


WebbuildersGroup\SilverRealty\Pages\ListingsGroupController:
    extensions:
        - 'SunriseBrokerage\Extensions\ListingsGroupControllerExtension'


WebbuildersGroup\SilverRealty\Pages\MapSearchPageController:
    extensions:
        - 'SunriseBrokerage\Extensions\MapSearchPageExtension'


WebbuildersGroup\SilverRealty\Pages\LinkedListingController:
    extensions:
        - 'SunriseBrokerage\Extensions\LinkedListingControllerExtension'


SilverStripe\ErrorPage\ErrorPageController:
    extensions:
        - 'SunriseBrokerage\Extensions\ErrorPageControllerExtension'


WebbuildersGroup\SilverRealty\Control\FirstToKnowCriteria:
    extensions:
        - 'SunriseBrokerage\Extensions\DisableControllerExtension'


WebbuildersGroup\SilverRealty\Control\VirtualTourFeed:
    extensions:
        - 'SunriseBrokerage\Extensions\DisableControllerExtension'


WebbuildersGroup\SilverRealty\Model\FieldTypes\DBListingFile:
    no_photo_theme_fallback_path: "images/pattern.png"


SilverStripe\ORM\Connect\MySQLDatabase:
    sql_mode: "REAL_AS_FLOAT,PIPES_AS_CONCAT,ANSI_QUOTES,IGNORE_SPACE"


WebbuildersGroup\SilverRealty\Pages\OpenHouseCalendar:
    hide_ancestor: 'WebbuildersGroup\SilverRealty\Pages\OpenHouseCalendar'


WebbuildersGroup\SilverRealty\Pages\AdvancedListingSearch:
    hide_ancestor: 'WebbuildersGroup\SilverRealty\Pages\AdvancedListingSearch'


WebbuildersGroup\SilverRealty\Pages\ContactUsSilverRealty:
    hide_ancestor: 'WebbuildersGroup\SilverRealty\Pages\ContactUsSilverRealty'

WebbuildersGroup\SilverRealty\Model\ExclusiveListing:
    extensions:
        - 'SunriseBrokerage\Extensions\ExclusiveListingExtension'

Symbiote\QueuedJobs\Controllers\QueuedJobsAdmin:
    extensions:
        - 'SunriseBrokerage\Extensions\QueuedJobsAdminExtension'


---
Name: mysite_imagick
After: '#mysite'
Only:
    classexists: "Imagick"
---
SilverStripe\Core\Injector\Injector:
    Intervention\Image\ImageManager:
        constructor:
            - { driver: imagick }


---
Name: mysite_dev
After: '#mysite'
Only:
    environment: "dev"
---
UndefinedOffset\NoCaptcha\Forms\NocaptchaField:
    site_key: "6Le3Cf8SAAAAAB6OpRmzKAfQ-egXwp7LIwUSVqcw"
    secret_key: "6Le3Cf8SAAAAAHuglNGUTDNDCUwV4D9oHhpXxnC_"
    verify_ssl: false


SilverLeague\IDEAnnotator\DataObjectAnnotator:
    enabled_modules:
        - "app"
        - "webbuilders-group/silverstripe-silverrealty"


WebbuildersGroup\SilverRealty\Classes\SilverRealty:
    google_maps_api_key: "AIzaSyDu2aFD61qnxg_6JAyQUhR4IjxUOLiHTlY"


BetterBrief\GoogleMapField:
    default_options:
        api_key: "AIzaSyDu2aFD61qnxg_6JAyQUhR4IjxUOLiHTlY"

---
Name: mysite_email
After:
    - '#mysite'
    - '#emailconfig'
Only:
    envvarset: "APP_SMTP_USERNAME"
---
SilverStripe\Core\Injector\Injector:
    Swift_Transport:
        class: Swift_SmtpTransport
        properties:
            Host: "smtp.emailarray.com"
            Port: "465"
            Encryption: "ssl"
        calls:
            Username: [ setUsername, ['`APP_SMTP_USERNAME`'] ]
            Password: [ setPassword, ['`APP_SMTP_PASSWORD`'] ]
            AuthMode: [ setAuthMode, ['login'] ]
